# find.h File Reference

## Detailed Description

Parallel implementation base for std::find(), std::equal() and related functions. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file find.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Defines

- #define _GLIBCXX_PARALLEL_FIND_H

## Functions

- template<typename RandomAccessIterator1, typename RandomAccessIterator2, typename Pred, typename Selector> std::pair< RandomAccessIterator1,
  RandomAccessIterator2 > __gnu_parallel::find_template (RandomAccessIterator1 begin1, RandomAccessIterator1 end1, RandomAccessIterator2 begin2, Pred pred, Selector selector)